FATLABEL(8)

NOM
fatlabel – Définir ou obtenir l’étiquette ou le nom de volume d'un système de fichiers MS-DOS

SYNOPSIS
fatlabel [OPTIONS] PÉRIPHÉRIQUE [NEW]

DESCRIPTION
fatlabel affiche ou modifie l’étiquette ou l’ID de volume du système de fichiers MS-DOS situé dans PÉRIPHÉRIQUE. Par défaut, il fonctionne dans le mode étiquette (LABEL). Cela peut être en mode ID de volume avec les options -i ou --volume-id.

Si NEW est omis, alors l’étiquette existante ou l’ID de volume est écrit sur la sortie standard. Une étiquette ne peut être plus longue que 11 octets et devrait être en capitales pour une meilleure compatibilité. Une chaîne vide ou une étiquette comprenant seulement des espaces blancs ne sont pas autorisées. Un ID de volume doit être donné sous forme hexadécimale (pas de « 0x » ou similaire au début) et doit pouvoir s'écrire sur au plus 32 bits.

OPTIONS

-i, --volume-id
    Basculer en mode ID de volume.

-r, --reset
    Supprimer l’étiquette dans le mode étiquette ou générer un nouvel ID de volume dans le mode ID de volume.

-c PAGE, --codepage=PAGE
    Utiliser la page de code DOS PAGE pour décoder ou encoder l’étiquette. Par défaut, la page de code 850 est utilisée.

-h, --help
    Afficher un message d'aide puis quitter.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

COMPATIBILITÉ et BOGUES
Pour des raisons historiques l’étiquette FAT est stockée dans deux endroits différents : dans le secteur d’amorçage et dans une entrée spéciale d’étiquette de volume dans le répertoire racine. MS-DOS 5.00, MS-DOS 6.22, MS-DOS 7.10, Windows 98, Windows XP et aussi Windows 10 lisent l’étiquette FAT seulement dans le répertoire racine. Une absence d’étiquette de volume dans le répertoire racine est interprétée comme une étiquette vide ou comme son absence, même si le secteur d’amorçage contient une étiquette valable.

Quand les systèmes Windows XP ou Windows 10 modifient l’étiquette FAT, ils la stockent uniquement dans le répertoire racine — en laissant le secteur d’amorçage inchangé. Cela crée des problèmes quand une étiquette est supprimée sur Windows. L’ancienne étiquette est toujours stockée dans le secteur d’amorçage, mais est supprimée dans le répertoire racine.

dosfslabel avant sa version 3.0.7 opérait avec les étiquettes FAT stockées dans le secteur d’amorçage, ignorant complètement une étiquette de volume dans le répertoire racine.

dosfslabel dans les versions 3.0.7–3.0.15 lit les étiquettes FAT dans le répertoire racine et, en leur absence, se replie sur l’étiquette stockée dans le secteur d’amorçage. L’opération de change aboutit à mettre à jour une étiquette dans le secteur d’amorçage et parfois aussi dans le répertoire racine à cause du bogue. Celui-ci a été corrigé dans dosfslabel version 3.0.16 et depuis cette version, dosfslabel met à jour l’étiquette dans les deux endroits.

Depuis la version 4.2, fatlabel lit une étiquette FAT seulement dans le répertoire racine (depuis les systèmes MS-DOS et Windows), mais modifie une étiquette FAT dans les deux emplacements. Dans la version 4.2 la gestion des étiquettes vides et des étiquettes commençant par un octet 0xE5 a été corrigée. A été aussi ajoutée dans cette version la prise en charge des étiquettes non ASCII en accord avec le code de page DOS spécifié et ont été ajoutées des vérifications de validité pour une nouvelle étiquette.

Il est fortement suggéré de ne pas utiliser dosfslabel avant sa version 3.0.16.

CODES DE PAGE DOS
Les systèmes MS-DOS et Windows utilisent le code de page DOS (OEM) pour l’encodage et le décodage d’étiquette FAT. Dans les systèmes Windows le code de page DOS est global pour toutes les applications en cours d’exécution et ne peut pas être configuré de manière explicite. Il est configuré de manière implicite par l’option Langue pour les programmes non Unicode disponible dans Options de région et de langue à l’aide du Panneau de contrôle. La page de code DOS pour fatlabel est 850. Consultez la table suivante de correspondance pour le code de page et la langue pour les programmes non Unicode :
Page de code | Langue
437 | anglais (Inde), anglais (Malaisie), anglais (République des Philippines), anglais (Singapour), anglais (Afrique du sud), anglais (États-Unis), anglais (Zimbabwe), Philippines, hausa, igbo, inuktitut, kinyarwanda, kiswahili, yoruba
720 | arabe, dari, perse, urdu, ouïghour
737 | grec
775 | estonien, letton, lituanien
850 | afrikaans, alsacien, basque, breton, catalan, corse, danois, néerlandais, anglais (Australie), anglais (Belize), anglais (Canada), anglais (Caraïbes), anglais (Irlande), anglais (Jamaïque), anglais (Nouvelle-Zélande), anglais (Trinité-et-Tobago), anglais (Royaume-Uni), féroïen, finnois, français, frison, galicien, allemand, groenlandais, islandais, indonésien, irlandais, xhosa, zoulou, italien, k'iche, bas sorabe, luxembourgeois, malais, mapudungun, mohawk, norvégien, occitan, portugais, quechua, romanche, same, gaélique écossais, bantou, tswana, espagnol, suédois, berbère, haut sorabe, gallois, wolof
852 | albanais, bosnien (latin), croate, tchèque, hongrois, polonais, roumain, serbe (latin), slovaque, slovène, turkmène
855 | bosnien (cyrillique), serbe (cyrillique)
857 | azéri (latin), turc, ouzbek (latin)
862 | hébreu
866 | azéri (cyrillique), bashkir, biélorusse, bulgare, kyrgyze, macédonien, mongole, russe, tadjik, Tatar, ukrainien, ouzbek (cyrillique), iakoute
874 | thaï
932 | japonais
936 | chinois (simplifié)
949 | coréen
950 | chinois (traditionnel)
1258 | vietnamien

VOIR AUSSI
fsck.fat(8), mkfs.fat(8)

PAGE D'ACCUEIL
La page d’accueil du projet dosfstools est sa page de projet GitHub (https://github.com/dosfstools/dosfstools).

AUTEURS
dosfstools a été écrit par Werner Almesberger (werner.almesberger@lrc.di.epfl.ch), Roman Hodek (Roman.Hodek@informatik.uni-erlangen.de) et d’autres. Les responsables actuels sont Andreas Bombe (aeb@debian.org) et Pali Rohár (pali.rohar@gmail.com).

TRADUCTION
La traduction française de cette page de manuel a été créée par Sébastien Blanchet, François Wendling <frwendling@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.